import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface AppOauthRedirectUriConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#app_id AppOauthRedirectUri#app_id}
    */
    readonly appId: string;
    /**
    * Redirect URI to append to Okta OIDC application.
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri#uri AppOauthRedirectUri#uri}
    */
    readonly uri: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri okta_app_oauth_redirect_uri}
*/
export declare class AppOauthRedirectUri extends cdktf.TerraformResource {
    static readonly tfResourceType = "okta_app_oauth_redirect_uri";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/r/app_oauth_redirect_uri okta_app_oauth_redirect_uri} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options AppOauthRedirectUriConfig
    */
    constructor(scope: Construct, id: string, config: AppOauthRedirectUriConfig);
    private _appId?;
    get appId(): string;
    set appId(value: string);
    get appIdInput(): string | undefined;
    get id(): string;
    private _uri?;
    get uri(): string;
    set uri(value: string);
    get uriInput(): string | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=app-oauth-redirect-uri.d.ts.map