import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface EventHookVerificationConfig extends cdktf.TerraformMetaArguments {
    /**
    * Event hook ID
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification#event_hook_id EventHookVerification#event_hook_id}
    */
    readonly eventHookId: string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification okta_event_hook_verification}
*/
export declare class EventHookVerification extends cdktf.TerraformResource {
    static readonly tfResourceType = "okta_event_hook_verification";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/r/event_hook_verification okta_event_hook_verification} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options EventHookVerificationConfig
    */
    constructor(scope: Construct, id: string, config: EventHookVerificationConfig);
    private _eventHookId?;
    get eventHookId(): string;
    set eventHookId(value: string);
    get eventHookIdInput(): string | undefined;
    get id(): string;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=event-hook-verification.d.ts.map