import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
export interface TemplateSmsConfig extends cdktf.TerraformMetaArguments {
    /**
    * SMS default template
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#template TemplateSms#template}
    */
    readonly template: string;
    /**
    * SMS template type
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#type TemplateSms#type}
    */
    readonly type: string;
    /**
    * translations block
    *
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#translations TemplateSms#translations}
    */
    readonly translations?: TemplateSmsTranslations[] | cdktf.IResolvable;
}
export interface TemplateSmsTranslations {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#language TemplateSms#language}
    */
    readonly language: string;
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/okta/r/template_sms#template TemplateSms#template}
    */
    readonly template: string;
}
export declare function templateSmsTranslationsToTerraform(struct?: TemplateSmsTranslations | cdktf.IResolvable): any;
/**
* Represents a {@link https://www.terraform.io/docs/providers/okta/r/template_sms okta_template_sms}
*/
export declare class TemplateSms extends cdktf.TerraformResource {
    static readonly tfResourceType = "okta_template_sms";
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/okta/r/template_sms okta_template_sms} Resource
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options TemplateSmsConfig
    */
    constructor(scope: Construct, id: string, config: TemplateSmsConfig);
    get id(): string;
    private _template?;
    get template(): string;
    set template(value: string);
    get templateInput(): string | undefined;
    private _type?;
    get type(): string;
    set type(value: string);
    get typeInput(): string | undefined;
    private _translations?;
    get translations(): TemplateSmsTranslations[] | cdktf.IResolvable;
    set translations(value: TemplateSmsTranslations[] | cdktf.IResolvable);
    resetTranslations(): void;
    get translationsInput(): cdktf.IResolvable | TemplateSmsTranslations[] | undefined;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
//# sourceMappingURL=template-sms.d.ts.map